<?xml version="1.0" encoding="UTF-8" ?>
<!DOCTYPE mapper
        PUBLIC "-//mybatis.org//DTD Mapper 3.0//EN"
        "http://mybatis.org/dtd/mybatis-3-mapper.dtd">
<mapper namespace="org.dromara.knowledge.mapper.KnowledgeSchemaMapper">

    <resultMap type="org.dromara.knowledge.domain.KnowledgeSchema" id="KnowledgeSchemaResult">
        <result property="id" column="id"/>
        <result property="schemaGroupId" column="schema_group_id"/>
        <result property="name" column="name"/>
        <result property="code" column="code"/>
        <result property="tableName" column="table_name"/>
        <result property="remark" column="remark"/>
        <result property="delFlag" column="del_flag"/>
        <result property="createBy" column="create_by"/>
        <result property="createTime" column="create_time"/>
        <result property="updateBy" column="update_by"/>
        <result property="updateTime" column="update_time"/>
    </resultMap>

    <sql id="selectKnowledgeSchemaVo">
        select id,
               schema_group_id,
               name,
               code,
               table_name,
               remark,
               del_flag,
               create_by,
               create_time,
               update_by,
               update_time
        from knowledge_schema
    </sql>

</mapper>